=== debian/changelog ===
xmount (0.7.2-1) unstable; urgency=medium

  * [08ccc6f] Import new upstream release 0.7.2
  * [38e0799] Replace Build-Dependency on libgnutls-dev with
    libgnutls28-dev
  * [a878bc5] Bump Standards-Version to 3.9.6
  * [90262c7] Run wrap-and-sort on the debian directory
  * [460f877] Replace auto{conf,make} with cmake, add zlib1g-dev as Build-
    Dependency
  * [6f15d8e] Bump debian/compat version to 9 + Build-Depend on debhelper
    >=9
  * [b64906d] Add debian/source/format
  * [f851545] Update debian/copyright for new release
  * [38fca30] Enable Hardening using hardening-wrapper

 -- Michael Prokop <mika@debian.org>  Thu, 02 Oct 2014 13:17:50 +0200

xmount (0.5.0-3) unstable; urgency=low

  * [cc92503] Adjust configure* for new libewf version 20130416-2
  * [4d80734] Bump Standards-Version to 3.9.4
  * [c725434] Add libbfio-dev to Build-Depends

 -- Michael Prokop <mika@debian.org>  Mon, 22 Jul 2013 14:07:06 +0200

xmount (0.5.0-2) unstable; urgency=low

  * [3d6c4cd] Switch to debhelper7 minimal style and adjust
    Build-Depends and compat version accordingly
  * [5402096] Use Architecture: linux-any due to linux/fs.h being
    linux-only. Thanks to Ulrich Dangel + Axel Beckert for
    help in verification

 -- Michael Prokop <mika@debian.org>  Tue, 12 Jun 2012 00:24:19 +0200

xmount (0.5.0-1) unstable; urgency=low

  * [1db6447] Merging upstream version 0.5.0
  * [200b105] Bump Standards-Version to 3.9.3.
  * [bfe7926] Drop duplicated libfuse-dev Build-Depends
  * [b66fd49] Update package description to match latest upstream
    development
  * [8c947ea] Transfer copyright file into dep5 format
  * [0038ca1] Add build-arch/build-indep targets
  * [da5bc8c] Call autoreconf before configure

 -- Michael Prokop <mika@debian.org>  Mon, 11 Jun 2012 20:13:42 +0200

xmount (0.4.5-1) unstable; urgency=low

  * [5ec3492] Merging upstream version 0.4.5.
  * [feac9cb] Bump Standards-Version to 3.9.2.
  * [eb93b4a] Add libafflib-dev to Build-Depends.
  * [e44de3b] Add pkg-config to Build-Depends.
  * [3c16a7f] Add libfuse-dev to Build-Depends.

 -- Michael Prokop <mika@debian.org>  Fri, 24 Jun 2011 23:42:33 +0200

xmount (0.4.4-1) unstable; urgency=low

  * [7c86bed] Merge new upstream version 0.4.4.
  * [6a5c49e] Bump Standards-Version to 3.9.1.
  * [7e1ac4b] Add libgnutls-dev to Build-Depends.

 -- Michael Prokop <mika@debian.org>  Wed, 16 Feb 2011 15:11:51 +0100

xmount (0.3.3-1) unstable; urgency=low

  * New upstream version 0.3.3 (being a bugfix release addressing the
    "fopen64 implicitly converted to pointer" issue). [Closes: #542234]
    Thanks to Dann Frazier for the bugreport.
  * Bump Standard-Version to 3.8.3 (no further changes).

 -- Michael Prokop <mika@debian.org>  Wed, 19 Aug 2009 01:27:51 +0200

xmount (0.3.2-1) unstable; urgency=low

  * New upstream version 0.3.2.
  * Slightly adjust package long description and copyright file.

 -- Michael Prokop <mika@debian.org>  Tue, 28 Jul 2009 11:13:04 +0200

xmount (0.3.1-1) unstable; urgency=low

  * Initial release. [Closes: #536493]
  * Packaging based on work by upstream author,
    Gillen Daniel <gillen.dan@pinguin.lu>.

 -- Michael Prokop <mika@debian.org>  Fri, 10 Jul 2009 12:25:11 +0200
