=== debian/control ===
Source: xmount
Section: admin
Priority: optional
Maintainer: Michael Prokop <mika@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               hardening-wrapper,
               libafflib-dev,
               libbfio-dev,
               libewf-dev (>= 20080501),
               libfuse-dev (>= 2.7.1-2~bpo40+1),
               libgnutls28-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://www.pinguin.lu/
Vcs-git: git://git.grml.org/xmount.git
Vcs-Browser: http://git.grml.org/?p=xmount.git

Package: xmount
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: tool to crossmount between multiple input and output harddisk images
 xmount allows you to convert on-the-fly between multiple input
 and output harddisk image types. xmount creates a virtual file
 system using FUSE (Filesystem in Userspace) that contains a
 virtual representation of the input harddisk image. The virtual
 representation can be in raw DD, VirtualBox's virtual disk file
 (VDI) format, Microsoft's Virtual Hard Disk Image format (VHD)
 or in VMware's VMDK format. Input harddisk images can be raw DD
 or EWF (Expert Witness Compression Format) or AFF (Advanced
 Forensic Format) files. In addition, xmount also supports
 virtual write access to the output files that is redirected to a
 cache file. This makes it for example possible to boot acquired
 harddisk images using QEMU, KVM, VirtualBox, VMware or alike.
