=== debian/changelog ===
xmount (0.7.3-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:52:49 +0000

xmount (0.7.3-1build1) wily; urgency=medium

  * No-change rebuild against libafflib0v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 09:11:27 +0200

xmount (0.7.3-1) unstable; urgency=medium

  * [adaf426] Imported new upstream release 0.7.3
  * [696333b] Update Vcs-* headers after moving package to forensics group
  * [a5c3fed] Drop Build-Depends on hardening-wrapper
  * [9db2efc] Enable hardening feature via debian/rules
  * [1674627] New debian patch to support overwriting CMAKE_C_FLAGS for
    hardening support

 -- Michael Prokop <mika@debian.org>  Fri, 03 Jul 2015 01:49:45 +0200
