=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: xmount
 Section: admin
 Priority: optional
-Maintainer: Michael Prokop <mika@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Prokop <mika@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               hardening-wrapper,
                libafflib-dev,
                libbfio-dev,
                libewf-dev (>= 20080501),
@@ -14,8 +14,8 @@
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: https://www.pinguin.lu/
-Vcs-git: git://git.grml.org/xmount.git
-Vcs-Browser: http://git.grml.org/?p=xmount.git
+Vcs-Browser: https://anonscm.debian.org/cgit/forensics/xmount.git
+Vcs-Git: git://anonscm.debian.org/forensics/xmount.git
 
 Package: xmount
 Architecture: linux-any
