=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_HARDENING=1
+CMAKE_C_FLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) -fno-strict-aliasing -std=c99 -Wall
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr
+	cmake -DCMAKE_C_FLAGS="$(CMAKE_C_FLAGS)" -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr
