=== libxmount_input/libxmount_input_aff/CMakeLists.txt ===
--- 
+++ 
@@ -16,10 +16,35 @@
   include_directories(${CMAKE_CURRENT_SOURCE_DIR}/libaff/lib)
   set(LIBS ${LIBS} ${CMAKE_CURRENT_SOURCE_DIR}/libaff/lib/.libs/libafflib.a)
   if(NOT APPLE)
-    set(LIBS ${LIBS} "/usr/lib/libcrypto.a")
-    set(LIBS ${LIBS} "/usr/lib/libssl.a")
-    set(LIBS ${LIBS} "/usr/lib/libexpat.a")
-    set(LIBS ${LIBS} "/usr/lib/librt.a")
+    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
+      # 64bit
+      if(LINUX_DIST STREQUAL "debian7")
+        set(LIBS ${LIBS} "/usr/lib/x86_64-linux-gnu/libcrypto.a")
+        set(LIBS ${LIBS} "/usr/lib/x86_64-linux-gnu/libssl.a")
+        set(LIBS ${LIBS} "/usr/lib/x86_64-linux-gnu/libexpat.a")
+        set(LIBS ${LIBS} "/usr/lib/x86_64-linux-gnu/librt.a")
+      endif(LINUX_DIST STREQUAL "debian7")
+      if(LINUX_DIST STREQUAL "rhel7")
+        set(LIBS ${LIBS} "/usr/lib64/libcrypto.a")
+        set(LIBS ${LIBS} "/usr/lib64/libssl.a")
+        set(LIBS ${LIBS} "/usr/lib64/libexpat.a")
+        set(LIBS ${LIBS} "/usr/lib64/librt.a")
+      endif(LINUX_DIST STREQUAL "rhel7")
+    else(CMAKE_SIZEOF_VOID_P EQUAL 8)
+      # 32bit
+      if(LINUX_DIST STREQUAL "debian7")
+        set(LIBS ${LIBS} "/usr/lib/i386-linux-gnu/libcrypto.a")
+        set(LIBS ${LIBS} "/usr/lib/i386-linux-gnu/libssl.a")
+        set(LIBS ${LIBS} "/usr/lib/i386-linux-gnu/libexpat.a")
+        set(LIBS ${LIBS} "/usr/lib/i386-linux-gnu/librt.a")
+      endif(LINUX_DIST STREQUAL "debian7")
+      if(LINUX_DIST STREQUAL "rhel7")
+        set(LIBS ${LIBS} "/usr/lib/libcrypto.a")
+        set(LIBS ${LIBS} "/usr/lib/libssl.a")
+        set(LIBS ${LIBS} "/usr/lib/libexpat.a")
+        set(LIBS ${LIBS} "/usr/lib/librt.a")
+      endif(LINUX_DIST STREQUAL "rhel7")
+    endif(CMAKE_SIZEOF_VOID_P EQUAL 8)
     set(LIBS ${LIBS} "-lstdc++ -lz")
   else(NOT APPLE)
     # As most of afflib's deps on OSx come from MacPorts, better link in
