=== debian/changelog ===
xmount (0.7.6-3) unstable; urgency=medium

  * Team Upload

  [ Michael Prokop ]
  * Improve Debian package description.
    Thanks to Justin B Rye and Xavier Brochard (Closes: #927968)

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Bump d/watch to v4
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * d/control: Add 'Rules-Requires-Root: no'
  * d/rules: Export 'export DEB_BUILD_MAINT_OPTIONS = hardening=+all'

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 31 Jan 2021 23:48:59 +0000

xmount (0.7.6-2) unstable; urgency=medium

  * Team upload.
  * Rely on dh_auto_configure instead of hardcoded cmake call
    to make the package cross-buildable.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #884728)
  * Bump Standards-Version to 4.2.1 and debhelper compat level to 11
  * Build the package with debug symbols and pass LDFLAGS properly.
  * Improve copyright file (put separate license paragraph for GPL-3+)
  * Add a watch file.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 02 Sep 2018 14:00:15 +0200

xmount (0.7.6-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * [2da76cf] Add pkg-security team to Uploaders
  * [b1d6089] Update Vcs-Git and Vcs-Browser for the move to
    salsa.debian.org

  [ Michael Prokop ]
  * [65d2fb3] New upstream version 0.7.6

 -- Michael Prokop <mika@debian.org>  Fri, 18 May 2018 13:37:55 +0200
