=== debian/control ===
Source: xmount
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Michael Prokop <mika@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               libafflib-dev,
               libbfio-dev,
               libewf-dev (>= 20080501),
               libfuse-dev (>= 2.7.1-2~bpo40+1),
               libgnutls28-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.pinguin.lu/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/xmount
Vcs-Git: https://salsa.debian.org/pkg-security-team/xmount.git

Package: xmount
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: tool for crossmounting between disk image formats
 xmount can be used to boot forensic disk images with QEMU, KVM,
 VirtualBox, VMware, or the like, since it supports virtual write
 access with redirection to a cache file.
 .
 xmount converts between multiple input and output disk image types
 on the fly, using FUSE (Filesystem in Userspace) to create a virtual
 file system representing the input image. The virtual representation
 can be in raw DD, DMG, VirtualBox VDI format, Microsoft VHD format, or
 VMware VMDK format; input images can be raw DD, EWF (Expert Witness
 Compression Format), or AFF (Advanced Forensic Format) files.
