=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKE_C_FLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) -g -fno-strict-aliasing -std=c99 -Wall
CMAKE_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_C_FLAGS="$(CMAKE_C_FLAGS)" -DCMAKE_BUILD_TYPE=Release -DCMAKE_SHARED_LINKER_FLAGS="$(CMAKE_LDFLAGS)" -DCMAKE_EXE_LINKER_FLAGS="$(CMAKE_LDFLAGS)" -DCMAKE_MODULE_LINKER_FLAGS="$(CMAKE_LDFLAGS)"
