=== debian/watch ===
version=4
https://www.pinguin.lu/xmount \
    .*/xmount-@ANY_VERSION@@ARCHIVE_EXT@
