=== debian/changelog ===
xmount (1.1.1-1) unstable; urgency=medium

  * [bd6709a] debian/control: update Homepage header for new upstream
    home. Thanks to Sven Geuer <sge@debian.org>
  * [cbcc98b] Update debian/watch for new upstream repository location
  * [4493222] New upstream version 1.1.1 (Closes: #1074150)
  * [204a746] Bump Standards-Version to 4.7.0
  * [b53b129] Update debian/copyright for recent upstream changes
  * [5926132] Update package description to better match with the one from
    upstream

 -- Michael Prokop <mika@debian.org>  Wed, 14 Aug 2024 14:04:06 +0200
