=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,20 @@
   link_directories(${LIBOSXFUSE_LIBRARY_DIRS})
 endif(NOT APPLE)
 
+if(CMAKE_THREAD_LIBS_INIT)
+  set(LIBS ${LIBS} ${CMAKE_THREAD_LIBS_INIT})
+endif(CMAKE_THREAD_LIBS_INIT)
+
 set(LIBS ${LIBS} "dl")
 
 add_definitions(-DXMOUNT_LIBRARY_PATH="${CMAKE_INSTALL_PREFIX}/lib/xmount")
 
 add_executable(xmount xmount.c md5.c ../libxmount/libxmount.c)
 
+if(THREADS_HAVE_PTHREAD_ARG)
+  target_compile_options(xmount PUBLIC "-pthread")
+endif(THREADS_HAVE_PTHREAD_ARG)
+
 target_link_libraries(xmount ${LIBS})
 
 install(TARGETS xmount DESTINATION bin)
