=== debian/changelog ===
xmount (1.1.1+dfsg-1) unstable; urgency=medium

  * [1506596] Drop libxmount_input/*.tar.gz files from upstream tarballs
  * [810f7c9] New upstream version 1.1.1+dfsg (DFSG only)
    Thanks to Sven Geuer for review and feedback.

 -- Michael Prokop <mika@debian.org>  Tue, 20 Aug 2024 08:44:01 +0200
