=== debian/control ===
Source: xmount
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Michael Prokop <mika@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               libafflib-dev,
               libbfio-dev,
               libewf-dev (>= 20080501),
               libfuse-dev (>= 2.7.1-2~bpo40+1),
               libgnutls28-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.sits.lu/xmount
Vcs-Browser: https://salsa.debian.org/pkg-security-team/xmount
Vcs-Git: https://salsa.debian.org/pkg-security-team/xmount.git

Package: xmount
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: tool for crossmounting between disk image formats
 xmount allows you to convert on-the-fly between multiple input and
 output harddisk image formats. xmount creates a virtual file system
 using FUSE (Filesystem in Userspace) that contains a virtual
 representation of the input image.
 .
 The virtual representation can be in raw DD, Apple's Disk Image format
 (DMG), VirtualBox's virtual disk file format (VDI), Microsoft's Virtual
 Hard Disk Image format (VHD) or in VMware's VMDK file format.
 .
 Input images can be raw DD, EWF (Expert Witness Compression Format),
 AFF (Advanced Forensic Format), VDI (VirtualBox Virtual Disk Image) or
 QCOW (QEMU Copy On Write) files.
 .
 In addition, xmount also supports virtual write access to the output
 files that is redirected to a cache file. This makes it for example
 possible to boot acquired harddisk images using QEMU, KVM, VirtualBox,
 VWware or alike.
