## xmount 1.2.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
   endif(NOT LINUX_DIST)
 endif(STATIC_AFF)
 
-add_definitions(-DXMOUNT_VERSION="1.1.1")
+add_definitions(-DXMOUNT_VERSION="1.2.0")
 
 if(APPLE)
   # On OSx, do not try to find frameworks but only std headers / libraries
