=== libxmount_input/libxmount_input_aff4/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 if(NOT STATIC_AFF)
   include_directories(${LIBAFF4_INCLUDE_DIRS})
+  if (LIBAFF4_LDFLAGS)
+    link_directories(${LIBAFF4_LDFLAGS})
+  endif(LIBAFF4_LDFLAGS)
   set(LIBS ${LIBS} ${LIBAFF4_LIBRARIES})
 else(NOT STATIC_AFF)
   include_directories(${CMAKE_CURRENT_SOURCE_DIR}/libaff4/src)
