=== debian/changelog ===
xmount (1.2.0+ds-1build1) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:48:46 -0400

xmount (1.2.0+ds-1) unstable; urgency=medium

  * [943cdad] New upstream version 1.2.0+ds
  * [2d905b7] Build-Depend on libfuse3-dev to migrate to fuse3
    (Closes: #1084480)

 -- Michael Prokop <mika@debian.org>  Fri, 15 Nov 2024 13:33:27 +0100

xmount (1.1.1+dfsg-2) unstable; urgency=medium

  * [3aeb359] debian/watch: use ds instead of the dfsg suffix. Thanks to
    Joao Eriberto Mota Filho for the suggestion
  * [c570b3f] Fix blhc issue + replace Build-Depends on pkg-config with
    pkgconf. Thanks to Joao Eriberto Mota Filho

 -- Michael Prokop <mika@debian.org>  Fri, 18 Oct 2024 19:42:05 +0200
