=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                libafflib-dev,
                libbfio-dev,
                libewf-dev (>= 20080501),
-               libfuse-dev (>= 2.7.1-2~bpo40+1),
+               libfuse3-dev,
                libgnutls28-dev,
-               pkg-config,
+               pkgconf,
                zlib1g-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
